fb_alloc_cmap
Prev | Frame Buffer Colormap | Next

## Name

fb_alloc_cmap — allocate a colormap

## Synopsis

`int fb_alloc_cmap (` | struct fb_cmap * | cmap,
| int | len,
| int | transp`)`;

## Arguments

`cmap`

  frame buffer colormap structure

`len`

  length of `cmap`

`transp`

  boolean, 1 if there is transparency, 0 otherwise

## Description

Allocates memory for a colormap `cmap`. `len` is the number of entries in the palette.

Returns negative errno on error, or zero on success.

Prev | Up | Next
Frame Buffer Colormap | Home | fb_dealloc_cmap